## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ncmpc
Version:        0.50
Release:        %autorelease
Summary:        A curses client for the Music Player Daemon (MPD)

License:        GPL-2.0-or-later
URL:            https://www.musicpd.org/
Source0:        https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz
Source1:        https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz.sig

# Created with
#   $ gpg2 --receive-keys C6DB4512
#   $ gpg2 --export --export-options export-minimal 236E8A58C6DB4512
Source2:        gpgkey-236E8A58C6DB4512.gpg

BuildRequires:  cmake
BuildRequires:  gnupg2
BuildRequires:  g++
BuildRequires:  gettext
BuildRequires:  meson >= 0.49
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(lirc)
BuildRequires:  python3dist(sphinx)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to
a MPD running on a machine on the local network, and controls this with an
interface inspired by cplay.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1


%build
%meson \
    -Dchat_screen=true \
    -Dlyrics_screen=true \
    -Dlyrics_plugin_dir=%{_datadir}/ncmpc/lyrics
%meson_build

%install
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc
install -p -m644 doc/config.sample \
    $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -p -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%find_lang ncmpc


%files -f ncmpc.lang
%doc README.rst NEWS AUTHORS COPYING doc/ncmpc.lirc doc/index.rst
%{_bindir}/ncmpc
%{_mandir}/man1/*
%dir %{_sysconfdir}/ncmpc
%config(noreplace) %{_sysconfdir}/ncmpc/config
%config(noreplace) %{_sysconfdir}/ncmpc/keys
%dir %{_datadir}/ncmpc
%dir %{_datadir}/ncmpc/lyrics
%{_datadir}/ncmpc/lyrics/*

%exclude %{_datadir}/doc/ncmpc/*
%doc %{_datadir}/doc/ncmpc/html


%changelog
## START: Generated by rpmautospec
* Sun Sep 15 2024 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.50-1
- New upstream release (fixes rhbz#2311908)
- modernize specfile (logical dependencies)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.49-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.49-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.49-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 18 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.49-3
- Add signature

* Fri Aug 18 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.49-2
- Add signature

* Fri Aug 18 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.49-1
- New upstream release

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.48-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 31 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.48-2
- Convert to SPDX license expression

* Sat Apr 08 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.48-1
- New upstream release

* Sun Mar 19 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.47-4
- Raise meson version req't to 0.49

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.47-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.47-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 01 2022 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.47-1
- New upstream release

* Sat May 07 2022 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.46-2
- Update dependencies

* Sat May 07 2022 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.46-1
- New upstream release

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.45-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 24 2021 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.45-3
- Patch out rsync dependency

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Feb 18 2021 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.45-1
- New upstream release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 02 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.42-1
- Update to 0.42 (#1888935)

* Sun Oct 11 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.40-1
- New upstream release

* Fri Aug 21 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.39-1
- New upstream release 0.39

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.38-3
- Ensure sources contains both files

* Sat May 23 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.38-2
- Add signature file

* Sat May 23 2020 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.38-1
- New upstream release

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Nov 13 2019 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.36-7
- Add FSF address patch

* Wed Nov 13 2019 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.36-6
- Add gpg keyring to sources

* Wed Nov 13 2019 FeRD (Frank Dana) <ferdnyc@gmail.com> - 0.36-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
